local lg = love.graphics

local gradient = love.image.newImageData(128, 128)
gradient:mapPixel(function(x, y)
	local c = 1 - math.sqrt((64 - x) ^ 2 + (64 - y) ^ 2) / 64
	return c, c, c, 1
end)
local light = lg.newImage(gradient)

local lightMap = lg.newCanvas()
local background = lg.newImage('Background.png')

function love.draw()
	lg.setCanvas(lightMap)
	lg.setBlendMode('add')
	lg.clear(.2, .2, .2)
	for i = 1, 32 do
		local x = 336 + 400 * math.sin(love.timer.getTime() * .4 + i) + 200 * math.cos(i)
		local y = 236 + 300 * math.sin(love.timer.getTime() - i) + 100 * math.sin(x * .01)
		lg.draw(light, x, y)
	end

	lg.setCanvas()
	lg.draw(background, 0, 0, 0, .5, .5)
	lg.setBlendMode('multiply', 'premultiplied')
	lg.draw(lightMap)
	lg.setBlendMode('alpha')
	lg.print(love.timer.getFPS())
end
